Finish Passkey Registration
curl --request POST \
--url https://passkeys.hanko.io/{tenant_id}/registration/finalize \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"type": "public-key",
"rawId": "<string>",
"response": {
"clientDataJSON": "<string>",
"attestationObject": "<string>",
"transports": [
"<string>"
]
},
"transports": [
"<string>"
]
}
'import requests
url = "https://passkeys.hanko.io/{tenant_id}/registration/finalize"
payload = {
"id": "<string>",
"type": "public-key",
"rawId": "<string>",
"response": {
"clientDataJSON": "<string>",
"attestationObject": "<string>",
"transports": ["<string>"]
},
"transports": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
type: 'public-key',
rawId: '<string>',
response: {
clientDataJSON: '<string>',
attestationObject: '<string>',
transports: ['<string>']
},
transports: ['<string>']
})
};
fetch('https://passkeys.hanko.io/{tenant_id}/registration/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>"
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}Signup
Finish Passkey Registration
Finish credential registration process
POST
/
{tenant_id}
/
registration
/
finalize
Finish Passkey Registration
Path Parameters
UUID of the tenant
Required string length:
36Example:
["1f496bcd-49da-4839-a02f-7ce681ccb488"]
Body
application/json
Response
Example response
Was this page helpful?
⌘I